\begin{tikzpicture}
\path
(0,-2)  coordinate []  (shiftV)
(5,0)	coordinate []  (shiftH);

\node at (0,8)(IA){IAssemble};
\node at ($(IA) + (shiftV)$)(ITA){ITimeAssemble};
\node at ($(ITA) + (shiftV)$)(CA){CardiacAssemble};
\node at ($(CA)+(shiftH)$)(TEA){TestElphyAssemble};
\node at ($(CA) +(shiftV)$)(EA){ElphyAssemble};
\node at ($(EA)+(shiftV)$)(MB){MonoDomainBenchmark};
\node at ($(MB)-(shiftH)$)(MC){MonoDomainCoupled};
\node at ($(MB)+(shiftH)$)(M){Monodomain};

\path[-]
(IA) edge (ITA)
(ITA) edge(TEA)
(ITA) edge (CA)
(CA) edge (EA)
(EA) edge (MC)
(EA) edge (MB)
(EA) edge (M);

\end{tikzpicture}






